<?xml version="1.0" encoding="utf-8" ?>
<c:Screen xmlns:c="BitMobile.Controls" xmlns:s="BitMobile.ValueStack" StyleSheet="Test_Results.css">

	<c:VerticalLayout>

		<c:DockLayout CssClass="top_navigator">
			<c:DockLayout Id="btnBack" CssClass="btn_back" OnEvent="Back" OnClickAction="$DoBack()">
				<c:Image />
				<c:TextView Text="#back#" />
			</c:DockLayout>
			
			<c:DockLayout Id="btnForward" CssClass="forward"></c:DockLayout>

			<c:HorizontalLayout>
				<c:TextView Text="#testResults#" />
			</c:HorizontalLayout>
		</c:DockLayout>

		<c:ScrollView Id="grScrollView">
			
			<c:HorizontalLayout CssClass="empty_caption_grid" />
			<c:HorizontalLine />
			

			<s:Iterator Id="question" Value="$GetQuestions()">

				<c:DockLayout CssClass="grid">

					<c:VerticalLayout CssClass="no_mark"></c:VerticalLayout>

					<c:VerticalLayout>
						<s:If Test="$question.IsQuestionOfViolation">
							<s:If Test="$question.SKU == null">
								<c:TextView Text="#skuNotDefined#" CssClass="main_row"></c:TextView>
							</s:If>
							<s:Else>
								<c:TextView Text="$question.SKUDescription" CssClass="main_row"></c:TextView>
							</s:Else>	

							<c:TextView Text="$question.QuestionDescription" CssClass="description_row"></c:TextView>
						</s:If>
						<s:Else>
							<c:TextView Text="$question.QuestionDescription" CssClass="main_row"></c:TextView>
							<c:TextView Text="$question.Answer" CssClass="description_row"></c:TextView>
						</s:Else>
					</c:VerticalLayout>

				</c:DockLayout>

				<c:HorizontalLine />

			</s:Iterator>

			<c:HorizontalLayout CssClass="end_of_block" />

		</c:ScrollView>

	</c:VerticalLayout>

</c:Screen>
